> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Simulator Onboarding Link



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/device-simulator/devices/{device_id}/onboarding-links
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/device-simulator/devices/{device_id}/onboarding-links:
    post:
      tags:
        - Device Simulator
      summary: Create Simulator Onboarding Link
      operationId: >-
        integrations_api_api_v2_device_simulator_create_simulator_onboarding_link
      parameters:
        - in: path
          name: device_id
          schema:
            title: Device Id
            type: integer
          required: true
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingLinkInput'
        required: true
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  schemas:
    OnboardingLinkInput:
      additionalProperties: false
      properties:
        member_id:
          format: uuid
          title: Member Id
          type: string
        return_url:
          format: uri
          maxLength: 8000
          minLength: 1
          title: Return Url
          type: string
      required:
        - member_id
        - return_url
      title: OnboardingLinkInput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````